Drupal Internationalization és Localizer modulok többszörös sérülékenysége

CH azonosító

CH-1179

Felfedezés dátuma

2008.04.26.

Súlyosság

Közepes

Érintett rendszerek

Drupal
Internationalization module
Localizer module

Érintett verziók

Drupal Internationalization module 5.x, 6.x
Drupal Localizer module 5.x

Összefoglaló

Az Internationalization és Localizer Drupal modulok két sérülékenységét azonosították, melyeket támadók tetszőleges script kód végrehajtására, vagy bizonyos adatok manipulálására használhatnak.

Leírás

Az Internationalization és Localizer Drupal modulok két sérülékenységét azonosították, melyeket támadók tetszőleges script kód végrehajtására, vagy bizonyos adatok manipulálására használhatnak.

A problémákat bevitel érvényesítési hibák okozzák a felhasználók által szolgáltatott értékek és HTTP kérések megjelenítésekor. Ezt kihasználva rosszindulatú támadók tetszőleges script kódot hajthatnak végre az érintett weboldalra vonatkozó biztonsági beállításoknak megfelelően vagy cross-site request forgery támadást indíthatnak.

A sebezhetőségeket az Internationalization Drupal modul 5.x-2.3, 5.x-1.1 és 6.x-1.0-beta1 előtti, valamint a Localizer Drupal modul 5.x-3.4, 5.x-2.1, 5.x-1.11 előtti verzióiban jelentették.

Megoldás

Frissítsen a legújabb verzióra

Hivatkozások

Gyártói referencia: drupal.org
Gyártói referencia: drupal.org
Gyártói referencia: drupal.org
Egyéb referencia: www.vupen.com